Perl::Critic::Exception::Configuration::NonExistentPolicy(3)

NAME
Perl::Critic::Exception::Configuration::NonExistentPolicy - The configuration referred to a non-existent policy.

DESCRIPTION
A representation of the configuration attempting to specify a Perl::Critic::Policy that is not known, whether from a .perlcriticrc, another profile file, or command line.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

CLASS METHODS

"throw( policy => $policy )"
    See "throw" in Exception::Class.

"new( policy => $policy )"
    See "new" in Exception::Class.

METHODS

"full_message()"
    Provide a standard message. See "full_message" in Exception::Class.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.